Subject: Re: bug#28855: 26.0.90; display-line-numbers-mode does not respect (line|wrap)-prefix '(space :align-to N) text property

From: Dmitry Gutov <[email-masked]>
Date: Thu, 19 Oct 2017 01:52:31 +0300

On 10/18/17 7:47 PM, Eli Zaretskii wrote:

> Well, "harder to implement" is very relevant here ;-)
> 
> Also, "outside of the window edge" has implications besides text
> layout, and I trust Martin's judgment (which happens to match mine)
> that we should try letting those sleeping dogs lie.

I get that it might have been too difficult to work out in time for 
Emacs 26, but here's hoping we'll get it sorted out in some later release.

> In any case, this opinion of yours probably means that having
> :align-to automatically update its offsets to account for the line
> numbers is in the direction you wanted Emacs to go, albeit not all the
> way, right?  I mean, it does make Emacs behave as if line numbers were
> not part of the text area in this case.

Yes, but it might be not as beneficial when some other features do react 
to line numbers. Still, seems like the better choice here.

>> As it is now, third-party code has to adapt instead, by handling the
>> line numbers specially.
> 
> Yes.  But this is nothing new, it happens with almost every
> display-related feature.

Not every new feature has to become a new display-related feature, though.